Bug 65365 - mkisofs crashes when making iso of MANY files
mkisofs crashes when making iso of MANY files
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: cdrtools (Show other bugs)
7.3
All Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-22 15:25 EDT by Terry Davis
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-01 05:30:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Terry Davis 2002-05-22 15:25:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc2) Gecko/20020510

Description of problem:
cat $file | mkisofs -r -V $VOLID -path-list - -o
$BACKUPHOME/iso_images/archiveHTML-$DATE-$VOLID.iso $BACKUPHOME/count_files/$file

if $file is a file that contains something like:
/u06/archiveHTML/0033/751/0033751958.gz
/u06/archiveHTML/0033/751/0033751959.gz

But has around 126000 lines....the files are very small and all together make an
iso around 600MB.  This used to work, but I cannot tell you where/when it failed.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create an iso as specified above

Actual Results:  mkisofs will run forever but never output an iso.

Expected Results:  Expected it to create an iso.

Additional info:
Comment 1 Mike A. Harris 2002-06-01 05:26:06 EDT
Have you reported this to the upstream mkisofs maintainer as well?  If so,
what were his comments on it?
Comment 2 Mike A. Harris 2002-06-01 05:29:59 EDT
Oops, hit submit too early...

If it really is an mkisofs bug, you definitely should report it to the
upstream maintainer if you haven't already.

In order for me to look into this at all, I need a complete easily
reproduceable test case with full details.  Can you run strace and ltrace
on mkisofs and gather debugging data?

The more details that are provided, the more chance that it can be resolved,
if it is an actual bug, and not just a flaw in your process.
Comment 3 Mike A. Harris 2002-07-29 21:23:30 EDT
Closing bug report due to inactivity/no response.

Note You need to log in before you can comment on or make changes to this bug.